IEEE80211_RX_IRQSAFE(9)

NAME
ieee80211_rx_irqsafe - receive frame

SYNOPSIS

void ieee80211_rx_irqsafe(struct ieee80211_hw * hw, struct sk_buff * skb);

ARGUMENTS

hw
    the hardware this frame came in on

skb
    the buffer to receive, owned by mac80211 after this call

DESCRIPTION

Like ieee80211_rx but can be called in IRQ context (internally defers to a tasklet.)

Calls to this function, ieee80211_rx or ieee80211_rx_ni may not be mixed for a single hardware.Must not run concurrently with ieee80211_tx_status or ieee80211_tx_status_ni.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT